package io.gitlab.jfronny.inceptum.common.model.inceptum;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.Map;
import java.util.Set;

@GSerializable(configure = GsonPreset.Api.class)
public record UpdateMetadata(int wrapperVersion,
                             String version,
                             long buildTime,
                             boolean isPublic,
                             boolean isRelease,
                             int jvm,
                             Set<String> repositories,
                             Map<String, Set<String>> natives) {
}
