package io.gitlab.jfronny.inceptum.launcher.model.microsoft;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.List;

@GSerializable(configure = GsonPreset.Api.class)
public record Profile(String id, String name, List<Skin> skins, List<Cape> capes) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record Skin(String id, String state, String url, String variant, String alias) {
    }

    @GSerializable(configure = GsonPreset.Api.class)
    public record Cape(String id) {
    }
}
