package io.gitlab.jfronny.inceptum.launcher.model.microsoft.response;

import io.gitlab.jfronny.gson.annotations.SerializedName;
import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.Date;
import java.util.List;

@GSerializable(configure = GsonPreset.Api.class)
public record XboxLiveAuthResponse(@SerializedName("IssueInstant") Date issueInstant,
                                   @SerializedName("NotAfter") Date notAfter,
                                   @SerializedName("Token") String token,
                                   @SerializedName("DisplayClaims") DisplayClaims displayClaims) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record DisplayClaims(List<XUIClaim> xui) {
        @GSerializable(configure = GsonPreset.Api.class)
        public record XUIClaim(String uhs) {
        }
    }
}
