package io.gitlab.jfronny.inceptum.launcher.model.mojang;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.Map;

@GSerializable(configure = GsonPreset.Api.class)
public record AssetIndex(Map<String, Asset> objects) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record Asset(String hash, int size) {
    }
}
