package io.gitlab.jfronny.inceptum.launcher.model.mojang;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.Map;

@GSerializable(configure = GsonPreset.Api.class)
public record JvmFileInfo(Map<String, File> files) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record File(Downloads downloads, boolean executable, String type) {
        @GSerializable(configure = GsonPreset.Api.class)
        public record Downloads(MojangFileDownload lzma, MojangFileDownload raw) {
        }
    }
}
