import org.gradle.kotlin.dsl.extra

plugins {
    id("inceptum.library")
}

dependencies {
    api("io.gitlab.jfronny.gson:gson-compile-core:${rootProject.extra["gsonCompileVersion"]}")
    compileOnly("io.gitlab.jfronny.gson:gson-compile-annotations:${rootProject.extra["gsonCompileVersion"]}")
    annotationProcessor("io.gitlab.jfronny.gson:gson-compile-processor:${rootProject.extra["gsonCompileVersion"]}")
}

tasks.withType<JavaCompile> {
    options.compilerArgs.add("-AgsonCompileNoReflect")
}