package io.gitlab.jfronny.inceptum.common;

import io.gitlab.jfronny.commons.HttpUtils;
import io.gitlab.jfronny.commons.log.Logger;
import io.gitlab.jfronny.commons.log.StdoutLogger;

import java.io.IOException;

public class InceptumEnvironmentInitializer {
    public static void initialize() throws IOException {
        Logger.registerFactory(InceptumEnvironmentInitializer::defaultFactory);
        HttpUtils.userAgent = "jfmods/inceptum/" + BuildMetadata.VERSION;
        InceptumConfig.load();
    }

    public static Logger defaultFactory(String name) {
        return StdoutLogger.fancy(name);
    }
}
