package extensions.org.gtk.gtk.Widget;

import manifold.ext.rt.api.Extension;
import manifold.ext.rt.api.This;
import org.gtk.gtk.Widget;

@Extension
public class WidgetExt {
    public static void setMargin(@This Widget thiz, int margin) {
        thiz.marginVertical = margin;
        thiz.marginHorizontal = margin;
    }

    public static void setMarginVertical(@This Widget thiz, int margin) {
        thiz.marginTop = margin;
        thiz.marginBottom = margin;
    }

    public static void setMarginHorizontal(@This Widget thiz, int margin) {
        thiz.marginStart = margin;
        thiz.marginEnd = margin;
    }
}
