package io.gitlab.jfronny.inceptum.gtk.util;

import org.jetbrains.annotations.PropertyKey;

import java.util.ResourceBundle;

public class I18n {
    public static final String BUNDLE = "inceptum";
    private static final ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE);

    public static String get(@PropertyKey(resourceBundle = BUNDLE) String key) {
        return bundle.getString(key);
    }

    public static String get(@PropertyKey(resourceBundle = BUNDLE) String key, Object... args) {
        return String.format(bundle.getString(key), args);
    }
}
