package io.gitlab.jfronny.inceptum.gtk.window.dialog;

import org.gtk.gtk.*;
import org.jetbrains.annotations.Nullable;

public class StringInputDialog extends MessageDialog {
    private final Entry entry = new Entry();

    public StringInputDialog(@Nullable Window parent, DialogFlags flags, MessageType type, ButtonsType buttons, @Nullable String message, String value) {
        super(parent, flags, type, buttons, message);
        ((Box) messageArea).append(entry);
        entry.text = value;
    }

    public String getInput() {
        return entry.text;
    }
}
