package io.gitlab.jfronny.inceptum.launcher.model.microsoft.response;

import io.gitlab.jfronny.gson.annotations.SerializedName;
import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

@GSerializable(configure = GsonPreset.Api.class)
public record LoginResponse(String username,
                            @SerializedName("access_token") String accessToken,
                            @SerializedName("token_type") String tokenType,
                            @SerializedName("expires_in") Integer expiresIn) {
}
