package io.gitlab.jfronny.inceptum.launcher.model.multimc;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.List;

@GSerializable(configure = GsonPreset.Api.class)
public record MMCPackMeta(List<Component> components, int formatVersion) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record Component(boolean dependencyOnly, boolean important, String uid, String version) {
    }
}
